org.eclipse.wst.jsdt.js.bower

## Enum BowerCommands

- java.lang.Object
- - java.lang.Enum<BowerCommands>
  - - org.eclipse.wst.jsdt.js.bower.BowerCommands

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BowerCommands>

    public enum BowerCommands
    extends java.lang.Enum<BowerCommands>

Bower CLI commands

See Also:
  http://bower.io/docs/api/

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CACHE`
`HELP`
`HOME`
`INFO`
`INIT`
`INSTALL`
`LINK`
`LIST`
`LOGIN`
`LOOKUP`
`PRUNE`
`REGISTER`
`SEARCH`
`UNINSTALL`
`UNREGISTER`
`UPDATE`
`VERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()`
`static BowerCommands` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BowerCommands[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE

    public static final BowerCommands CACHE

#### HELP

    public static final BowerCommands HELP

#### HOME

    public static final BowerCommands HOME

#### INFO

    public static final BowerCommands INFO

#### INIT

    public static final BowerCommands INIT

#### INSTALL

    public static final BowerCommands INSTALL

#### LINK

    public static final BowerCommands LINK

#### LIST

    public static final BowerCommands LIST

#### LOGIN

    public static final BowerCommands LOGIN

#### LOOKUP

    public static final BowerCommands LOOKUP

#### PRUNE

    public static final BowerCommands PRUNE

#### REGISTER

    public static final BowerCommands REGISTER

#### SEARCH

    public static final BowerCommands SEARCH

#### UPDATE

    public static final BowerCommands UPDATE

#### UNINSTALL

    public static final BowerCommands UNINSTALL

#### UNREGISTER

    public static final BowerCommands UNREGISTER

#### VERSION

    public static final BowerCommands VERSION

### Method Detail

#### values

    public static BowerCommands[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BowerCommands c : BowerCommands.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BowerCommands valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()